Subject: Re: Could not install Slime

From: Jason Rumney <[email-masked]>
Date: Wed, 11 Mar 2009 22:28:48 +0800

tags 666 +notabug wontfix
thanks

MK wrote:
> I could not install SLIME into GNU Emacs 22.2.1 
> (i386-mingw-nt5.1.2600) a long time.
> I find solution (Thank to     
>        
> John Thingstad) on 
> http://groups.google.com/group/comp.lang.lisp/browse_thread/thread/bd134ae7a422404f 
> : 'Try Progra~1 instaed of "Program Files" '
> "The emacs reader is seeing eveything after Program as the next command
> line argument.
> So it can't find file "C:\Program".
> On the Bash command line I could write C:/Program\ Files/... but this
> doesn't seem to work in Emacs.
> Thus I used the DOS 8.3 long name conversion instead. This is really a
> anacronism since no-one uses DOS anymore but it still works. "
>
> What about it?

Reading the thread linked above, the problem appears to be that the path 
to the executable was not quoted, even though it contained a space, so 
the part of the path that was after the space is interpreted as the 
first argument. This is normal - all shells and programs with shell-like 
functionality require proper quoting of commands and arguments in the 
presence of whitespace and other special characters.